﻿namespace Discovery
{
    public partial class PopUpBaseForm : BaseForm
    {
        public PopUpBaseForm(string title, string message)
        {
            InitializeComponent();

            _homeButton.Hide();

            _titleLabel.Text = title;
            _message.Text = message;
        }

        internal override void GazeDataReceived(object sender, Tobii.Eyetracking.Sdk.GazeDataEventArgs e)
        {
            base.GazeDataReceived(sender, e);

            if (IsUserGazingAt(_okButton))
                DoButtonInteraction(_okButton);
        }

        private void _okButton_Click(object sender, System.EventArgs e)
        {
            Close();
        }
    }
}
