﻿using System;
using System.Windows.Forms;

namespace Discovery.UFO
{
    public partial class CountDownForm : Form
    {
        private readonly Timer _countDownTimer;
        private int _seconds = 3;

        public CountDownForm()
        {
            InitializeComponent();
            _countDownTimer = new Timer { Interval = 1000 };
            _countDownTimer.Tick += UpdateCountDownLabel;
        }

        private void UpdateCountDownLabel(object sender, EventArgs e)
        {
            _seconds--;
            if (_seconds == 0)
            {
                DialogResult = DialogResult.OK;
                Close();
            }
            else if (_seconds == 2) {
                _countDownLabel.Text = "Set!";
            }
            else if (_seconds == 1) {
                _countDownLabel.Text = "Go!";
            }
        }

        private void CountDownForm_Load(object sender, EventArgs e)
        {
            _countDownTimer.Start();
        }

        private void CountDownForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            Dispose();
        }
    }
}
