﻿using System;
using System.Windows.Forms;
using Tobii.Eyetracking.Sdk;

namespace Discovery
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // Initialize Tobii SDK eyetracking library
            Library.Init();

            Log.Write("*** Started Discovery ***");

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new HomeForm());
        }
    }
}